summaryrefslogtreecommitdiffstats
path: root/python
diff options
context:
space:
mode:
author Marco Bonetti2011-09-23 21:39:11 +0200
committer Niels Horn2011-09-23 21:39:11 +0200
commit0c09c398641e9eee18735b522c63cfcfef9cfd96 (patch)
treec2da10035cfad58ec8b1cb4d11e53700152b5fb5 /python
parent4d96c6ff923adbd841299feb3f5dda9b95b2ec2a (diff)
downloadslackbuilds-0c09c398641e9eee18735b522c63cfcfef9cfd96.tar.gz
python/pysvn: Added (Python SVN extension)
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
Diffstat (limited to 'python')
-rw-r--r--python/pysvn/README12
-rw-r--r--python/pysvn/pysvn.SlackBuild107
-rw-r--r--python/pysvn/pysvn.info10
-rw-r--r--python/pysvn/slack-desc19
4 files changed, 148 insertions, 0 deletions
diff --git a/python/pysvn/README b/python/pysvn/README
new file mode 100644
index 0000000000..4788471501
--- /dev/null
+++ b/python/pysvn/README
@@ -0,0 +1,12 @@
+The pysvn project's goal is to enable tools to be written in Python that
+use Subversion.
+
+Some pysvn extension features:
+ + Supports all svn client features
+ + Supports svn transaction features required to write svn pre-commit hooks
+ + Easy to learn and use
+ + Python like interface
+ + Good Documentation and examples
+ + No need to understand the Subversion C API
+
+This requires pycxx.
diff --git a/python/pysvn/pysvn.SlackBuild b/python/pysvn/pysvn.SlackBuild
new file mode 100644
index 0000000000..9bc4d52de8
--- /dev/null
+++ b/python/pysvn/pysvn.SlackBuild
@@ -0,0 +1,107 @@
+#!/bin/sh
+
+# Slackware build script for pysvn.
+
+# Copyright 2011 Marco Bonetti <sid77@slackware.it>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=pysvn
+VERSION=${VERSION:-1.7.5}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCS="Docs LICENSE.txt"
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+
+# remove unneded imported dependencies
+rm -rf Import/pycxx-6.2.2
+
+chown -R root:root .
+
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Accept our CFLAGS
+sed "/^CC[C]*FLAGS/s/=/+=/" -i Source/setup_configure.py
+
+# build
+cd Builder
+ PYTHON='python' \
+ CONFIG_ARGS='--pycxx-src-dir="/usr/share/CXX"' \
+ CCFLAGS="$SLKCFLAGS" \
+ CCCFLAGS="$SLKCFLAGS" \
+ make -f linux.mak all
+cd ..
+
+# install
+cd Source
+ mkdir -p $PKG/usr/lib${LIBDIRSUFFIX}/python$(python -c 'import sys; print sys.version[:3]')/site-packages/pysvn
+ cp -a pysvn/__init__.py $PKG/usr/lib${LIBDIRSUFFIX}/python$(python -c 'import sys; print sys.version[:3]')/site-packages/pysvn
+ cp -a pysvn/_pysvn*.so $PKG/usr/lib${LIBDIRSUFFIX}/python$(python -c 'import sys; print sys.version[:3]')/site-packages/pysvn
+cd ..
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/slack-desc > $PKG/usr/doc/$PRGNAM-$VERSION/slack-desc
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/python/pysvn/pysvn.info b/python/pysvn/pysvn.info
new file mode 100644
index 0000000000..bfd8c3180b
--- /dev/null
+++ b/python/pysvn/pysvn.info
@@ -0,0 +1,10 @@
+PRGNAM="pysvn"
+VERSION="1.7.5"
+HOMEPAGE="http://pysvn.tigris.org/"
+DOWNLOAD="http://pysvn.barrys-emacs.org/source_kits/pysvn-1.7.5.tar.gz"
+MD5SUM="3334718248ec667b17d333aac73d5680"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Marco Bonetti"
+EMAIL="sid77@slackware.it"
+APPROVED="Niels Horn"
diff --git a/python/pysvn/slack-desc b/python/pysvn/slack-desc
new file mode 100644
index 0000000000..f634ed9d56
--- /dev/null
+++ b/python/pysvn/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+pysvn: pysvn (Python SVN extension)
+pysvn:
+pysvn: The pysvn project's goal is to enable tools to be written in Python
+pysvn: that use Subversion.
+pysvn:
+pysvn: http://pysvn.tigris.org/
+pysvn:
+pysvn:
+pysvn:
+pysvn:
+pysvn: